<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2005 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################



$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tablecostiprenota = $PHPR_TAB_PRE."costiprenota".$anno;
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableregole = $PHPR_TAB_PRE."regole".$anno;
$tableappartamenti = $PHPR_TAB_PRE."appartamenti";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";



if (!$num_tipologie) $num_tipologie = 1;
else if (controlla_num_pos($num_tipologie) == "NO" or $num_tipologie == 0) $num_tipologie = 1;
if ($aggiungi_nuova_tipologia) $num_tipologie++;
if ($elimina_ultima_tipologia) $num_tipologie--;
if ($num_tipologie > $max_num_tipologie) $num_tipologie = $max_num_tipologie;
if ($aggiungi_tipologie != "SI") $num_tipologie = 1;


if ($contr_disp) {
$mostra_form = "NO";
echo $apertura_tag_font;

$liberato = "NO";
$verificare = "SI";
$torna_indietro = "NO";

$dati_form_iniziale = "<input type=\"hidden\" name=\"num_tipologie\" value=\"$num_tipologie\">";
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
$dati_form_iniziale .= "<input type=\"hidden\" name=\"inizioperiodo$n_t\" value=\"".${"inizioperiodo".$n_t}."\">
<input type=\"hidden\" name=\"fineperiodo$n_t\" value=\"".${"fineperiodo".$n_t}."\">
<input type=\"hidden\" name=\"numero_tariffa$n_t\" value=\"".${"numero_tariffa".$n_t}."\">
<input type=\"hidden\" name=\"numpersone$n_t\" value=\"".${"numpersone".$n_t}."\">
<input type=\"hidden\" name=\"num_app_tipo_richiesti$n_t\" value=\"".${"num_app_tipo_richiesti".$n_t}."\">
<input type=\"hidden\" name=\"numcostiagg$n_t\" value=\"".${"numcostiagg".$n_t}."\">";
for ($numca = 1 ; $numca <= ${"numcostiagg".$n_t} ; $numca++) {
$dati_form_iniziale .= "<input type=\"hidden\" name=\"idcostoagg$numca"."_$n_t\" value=\"".${"idcostoagg".$numca."_".$n_t}."\">
<input type=\"hidden\" name=\"costoagg$numca"."_$n_t\" value=\"".${"costoagg".$numca."_".$n_t}."\">
<input type=\"hidden\" name=\"numsettimane$numca"."_$n_t\" value=\"".${"numsettimane".$numca."_".$n_t}."\">
<input type=\"hidden\" name=\"nummoltiplica_ca$numca"."_$n_t\" value=\"".${"nummoltiplica_ca".$numca."_".$n_t}."\">";
} # fine for $numca
} # fine for $n_t


$tabelle_lock = "";
$altre_tab_lock = array("$tableprenota","$tablenometariffe","$tableperiodi","$tableappartamenti","$tableregole","$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);


$appartamenti = esegui_query(" select * from $tableappartamenti ");
$numappartamenti = numlin_query($appartamenti);
$regole2 = esegui_query("select * from $tableregole where tariffa_per_app != ''");
$num_regole2 = numlin_query($regole2);
unset($app_regola2_orig);
for ($num1 = 0 ; $num1 < $num_regole2 ; $num1++) {
$numtariffa_regola2 = str_replace("tariffa","",risul_query($regole2,$num1,tariffa_per_app));
if ($tariffe_mostra[$numtariffa_regola2] == "SI") $app_regola2_orig[$numtariffa_regola2] = risul_query($regole2,$num1,motivazione);
} # fine for $num1


unset($idinizioperiodo_min);
unset($idfineperiodo_max);



for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
$inizioperiodo = ${"inizioperiodo".$n_t};
$fineperiodo = ${"fineperiodo".$n_t};
$numero_tariffa = ${"numero_tariffa".$n_t};
$num_app_tipo_richiesti = ${"num_app_tipo_richiesti".$n_t};

if (!$inizioperiodo or !$fineperiodo or !$numero_tariffa) $verificare = "NO";

$data_inizioperiodo[$n_t] = $inizioperiodo;
$data_inizioperiodo_f[$n_t] = formatta_data($data_inizioperiodo[$n_t],$stile_data);
$data_fineperiodo[$n_t] = $fineperiodo;
$data_fineperiodo_f[$n_t] = formatta_data($data_fineperiodo[$n_t],$stile_data);
$idinizioperiodo[$n_t] = esegui_query("select idperiodi from $tableperiodi where datainizio = '$inizioperiodo' ");
$num_idinizioperiodo = numlin_query($idinizioperiodo[$n_t]);
if ($num_idinizioperiodo == 0) { $idinizioperiodo[$n_t] = 10000; }
else { $idinizioperiodo[$n_t] = risul_query($idinizioperiodo[$n_t],0,idperiodi); }
$inizioperiodo = $idinizioperiodo[$n_t];
if (!$idinizioperiodo_min or $inizioperiodo < $idinizioperiodo_min) $idinizioperiodo_min = $inizioperiodo;
$idfineperiodo[$n_t] = esegui_query("select idperiodi from $tableperiodi where datafine = '$fineperiodo' ");
$num_idfineperiodo = numlin_query($idfineperiodo[$n_t]);
if ($num_idfineperiodo == 0) { $idfineperiodo[$n_t] = -1; }
else { $idfineperiodo[$n_t] = risul_query($idfineperiodo[$n_t],0,idperiodi); }
$fineperiodo = $idfineperiodo[$n_t];
if (!$idfineperiodo_max or $fineperiodo > $idfineperiodo_max) $idfineperiodo_max = $fineperiodo;

if (str_replace("<option value=\"".$data_inizioperiodo[$n_t]."\">","",$menu_periodi) == $menu_periodi or str_replace("<option value=\"".$data_fineperiodo[$n_t]."\">","",$menu_periodi) == $menu_periodi) {
$idfineperiodo[$n_t] = -1;
$idinizioperiodo[$n_t] = 10000;
} # fine if (str_replace("<option value=\"$\">","",$menu_periodi) == $menu_periodi or...

if ($idfineperiodo[$n_t] < $idinizioperiodo[$n_t]) {
$verificare = "NO";
echo "$fr_Le_date_sono_sbagliate";
if ($num_tipologie > 1) echo " ($n_t)";
echo ".<br>";
} # fine if ($idfineperiodo[$n_t] < $idinizioperiodo[$n_t])

unset(${"app_richiesti".$n_t});
if ($tariffe_mostra[$numero_tariffa] != "SI") {
$verificare = "NO";
echo "$fr_La_tipologia_e_sbagliata";
if ($num_tipologie > 1) echo " ($n_t)";
echo ".<br>";
} # fine if ($tariffe_mostra[$numero_tariffa] != "SI")
else {
$tipotariffa = "tariffa".$numero_tariffa;
$rigatariffe = esegui_query("select $tipotariffa from $tablenometariffe where idntariffe = 1 ");
$nometariffa = risul_query($rigatariffe,0,$tipotariffa);
$nometariffa_vedi[$n_t] = $nometariffa;
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi[$n_t] = $fr_tariffa.$numero_tariffa;
} # fine if ($nometariffa == "")
if ($n_tariffe_imposte[$numero_tariffa]) ${"nometariffa_imposta".$n_t} = $n_tariffe_imposte[$numero_tariffa];
else ${"nometariffa_imposta".$n_t} = $nometariffa_vedi[$n_t];
if ($app_regola2_orig[$numero_tariffa]) {
$lista_app = $app_regola2_orig[$numero_tariffa];
$vett_app = explode(",",$lista_app);
for ($num1 = 0 ; $num1 < count($vett_app) ; $num1++) {
$idapp = $vett_app[$num1];
${"app_richiesti".$n_t}[$idapp] = "SI";
} # fine for $num1
} # fine if ($app_regola2_orig[$numero_tariffa])
} # fine else if ($tariffe_mostra[$numero_tariffa] != "SI")

if ($chiedi_num_app_tipologia != "SI") ${"num_app_tipo_richiesti".$n_t} = 1;
$num_app_tipo_richiesti = ${"num_app_tipo_richiesti".$n_t};
if (controlla_num_pos($num_app_tipo_richiesti) == "NO" or !$num_app_tipo_richiesti or $num_app_tipo_richiesti == 0 or strlen($num_app_tipo_richiesti) > 3 or ($max_num_app_tipologia != 0 and $num_app_tipo_richiesti > $max_num_app_tipologia)) {
$verificare = "NO";
echo "$fr_Il_numero_di $fr_appartamenti $fr_richiesto_e_sbagliato";
if ($num_tipologie > 1) echo " ($n_t)";
echo ".<br>";
} # fine if (controlla_num_pos($num_app_tipo_richiesti) == "NO" or...

if ($chiedi_num_persone != "SI") ${"numpersone".$n_t} = "";
$numpersone = ${"numpersone".$n_t};
$dati_ca = dati_costi_agg_ntariffe($tablenometariffe,"");
${"aggiungi_costo_letto".$n_t} = "NO";
if ($numpersone) {
if (controlla_num_pos($numpersone) == "NO" or ($max_num_persone != 0 and $numpersone > $max_num_persone)) {
$verificare = "NO";
echo "$fr_Il_numero_di $fr_persone $fr_richiesto_e_sbagliato";
if ($num_tipologie > 1) echo " ($n_t)";
echo ".<br>";
} # fine if (controlla_num_pos($numpersone) == "NO" or...
if ($dati_ca[$dati_ca[id][$costo_aggiungi_letti]][letto] == "s" and $dati_ca[$dati_ca[id][$costo_aggiungi_letti]][numsett] != "c") {
$max_capacita = 0;
for ($num1 = 0 ; $num1 < $numappartamenti ; $num1++) {
$idapp = risul_query($appartamenti,$num1,idappartamenti);
if (!${"app_richiesti".$n_t} or ${"app_richiesti".$n_t}[$idapp] == "SI") {
$maxoccupanti = risul_query($appartamenti,$num1,maxoccupanti);
if (!$maxoccupanti) $max_capacita = $numpersone;
else if ($maxoccupanti > $max_capacita) $max_capacita = $maxoccupanti;
} # fine if (!${"app_richiesti".$n_t} or ${"app_richiesti".$n_t}[$idapp] == "SI")
} # fine for $num1
if ($dati_ca[$dati_ca[id][$costo_aggiungi_letti]][moltiplica] != "c") $max_num_aggiungi_letti = 1;
if ($numpersone > $max_capacita and ($numpersone - $max_capacita) <= $max_num_aggiungi_letti) {
${"aggiungi_costo_letto".$n_t} = "SI";
${"num_aggiungi_letti".$n_t} = ($numpersone - $max_capacita);
$numpersone = $max_capacita;
${"numpersone".$n_t} = $numpersone;
} # fine if ($numpersone > $maxoccupanti and ($numpersone - $maxoccupanti) >= $max_num_aggiungi_letti)
} # fine if ($dati_ca[$dati_ca[id][$costo_aggiungi_letti]][letto] == "s" and...
$app_richiesti_copia = ${"app_richiesti".$n_t};
$app_trovato = "NO";
for ($num1 = 0 ; $num1 < $numappartamenti ; $num1++) {
$idapp = risul_query($appartamenti,$num1,idappartamenti);
if (!$app_richiesti_copia or $app_richiesti_copia[$idapp] == "SI") {
$maxoccupanti = risul_query($appartamenti,$num1,maxoccupanti);
if ($maxoccupanti and $maxoccupanti < $numpersone) ${"app_richiesti".$n_t}[$idapp] = "NO";
else {
${"app_richiesti".$n_t}[$idapp] = "SI";
$app_trovato = "SI";
} # fine else if ($maxoccupanti and $maxoccupanti < $numpersone)
} # fine if (!$app_richiesti or $app_richiesti[$idapp] == "SI")
} # fine for $num1
if ($app_trovato != "SI") {
$verificare = "NO";
echo "$fr_Il_numero_di $fr_persone $fr_supera_la_capienza_massima_della_tipologia_richiesta";
if ($num_tipologie > 1) echo " ($n_t)";
echo ".<br>";
} # fine if ($app_trovato != "SI")
} # fine if ($numpersone)

if ($verificare != "NO") {
for ( $num1 = $idinizioperiodo[$n_t]; $num1 <= $idfineperiodo[$n_t]; $num1 = $num1 + 1) {
$prenotazioni=esegui_query("select * from $tableprenota where iddatainizio <= $num1 and iddatafine >= $num1");
$numprenotazioni = numlin_query($prenotazioni);
$rigasettimana = esegui_query("select * from $tableperiodi where idperiodi = '$num1' ");
if ($numprenotazioni >= $numappartamenti) {
$verificare = "NO";
$inizioperiodopieno = risul_query($rigasettimana,0,datainizio);
$inizioperiodopieno_f = formatta_data($inizioperiodopieno,$stile_data);
$fineperiodopieno = risul_query($rigasettimana,0,datafine);
$fineperiodopieno_f = formatta_data($fineperiodopieno,$stile_data);
if ($mostra_giorni_pieni == "SI") echo "$fr_parola_La $fr_parola_settimana $fr_dal $inizioperiodopieno_f $fr_al $fineperiodopieno_f $fr_est $fr_piena";
} # fine if ($numprenotazioni >= $numappartamenti)
} # fine for $num1
if ($verificare == "NO" and $mostra_giorni_pieni != "SI") echo "$fr_Non_c_e_piu_disponibilita_nel_periodo_richiesto";
if ($verificare == "NO" and $num_tipologie > 1) echo " ($n_t)";
if ($verificare == "NO") echo ".<br>";
} # fine if ($verificare != "NO")

} # fine for $n_t


if ($verificare != "NO") {
unset ($testo_a_video);
unset($testo_tipologie_email);
unset($limiti_var);
unset($profondita);
unset($dati_app);
unset($app_prenota_id);
unset($app_orig_prenota_id);
unset($inizio_prenota_id);
unset($fine_prenota_id);
unset($app_assegnabili_id);
unset($prenota_in_settimana_id);
$limiti_var[idperiodocorrente] = calcola_id_periodo_corrente($anno);
if ($idinizioperiodo_min < $limiti_var[idperiodocorrente]) $n_ini = $idinizioperiodo_min;
else $n_ini = $limiti_var[idperiodocorrente];
$limiti_var[n_ini] = $n_ini;
$max_periodo = esegui_query("select max(idperiodi) from $tableperiodi");
$max_periodo = risul_query($max_periodo,0,0);
if ($idfineperiodo_max <= $limiti_var[idperiodocorrente]) $n_fine = $idfineperiodo_max;
else $n_fine = $max_periodo;
$limiti_var[n_fine] = $n_fine;

if ($mostra_quadro_disp) {
if ($tipo_periodi == "s") $num_colonne_tab_disp = 5;
else $num_colonne_tab_disp = 32;
$id_data_inizio_tab_disp = (floor(( (double) $idinizioperiodo_min + (double) $idfineperiodo_max) / 2) - floor((double) $num_colonne_tab_disp / 2));
if (($id_data_inizio_tab_disp + $num_colonne_tab_disp - 1) > $max_periodo) $id_data_inizio_tab_disp = ($max_periodo - $num_colonne_tab_disp + 1);
if ($id_data_inizio_tab_disp < 1) $id_data_inizio_tab_disp = 1;
if ($num_colonne_tab_disp > $max_periodo) $num_colonne_tab_disp = $max_periodo;
if ($limiti_var[n_ini] > $id_data_inizio_tab_disp) $limiti_var[n_ini] = $id_data_inizio_tab_disp;
if ($limiti_var[n_fine] < ($id_data_inizio_tab_disp + $num_colonne_tab_disp - 1)) $limiti_var[n_fine] = ($id_data_inizio_tab_disp + $num_colonne_tab_disp - 1);
} # fine if ($mostra_quadro_disp)

$profondita[iniziale] = "";
$profondita[attuale] = 1;
$max_prenota = esegui_query("select max(idprenota) from $tableprenota");
$tot_prenota = risul_query($max_prenota,0,0);
$profondita[tot_prenota_ini] = $tot_prenota;
$profondita[tot_prenota_attuale] = $tot_prenota;
tab_a_var ($limiti_var,$app_prenota_id,$app_orig_prenota_id,$inizio_prenota_id,$fine_prenota_id,$app_assegnabili_id,$prenota_in_settimana_id,$anno,$dati_app,$profondita,$PHPR_TAB_PRE."prenota");
$app_agenzia = esegui_query("select * from $tableregole where app_agenzia != ''");
$num_app_agenzia = numlin_query($app_agenzia);
unlock_tabelle($tabelle_lock);

$id_app_richiesti = 0;
if ($num_tipologie == 1 and $num_app_tipo_richiesti1 == 1) {
$idinizioperiodo_vett = $idinizioperiodo[1];
$idfineperiodo_vett = $idfineperiodo[1];
$app_richiesti = $app_richiesti1;
$id_app_richiesti = 1;
} # fine if ($num_tipologie == 1 and $num_app_tipo_richiesti1 == 1)
else {
$num_tariffe_diverse = 0;
unset ($app_richiesti);
unset($idinizioperiodo_vett);
unset($idfineperiodo_vett);
unset($vett_nomitariffe_presenti);
unset($lista_nomitariffa_imposti);
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
$num_app_tipo_richiesti = ${"num_app_tipo_richiesti".$n_t};
$app_richiesti_copia = ${"app_richiesti".$n_t};
unset($lista_app_richiesti);
if (!$app_richiesti_copia) $lista_app_richiesti = ",tutti,,";
else while (list($key, $val) = each($app_richiesti_copia)) if ($val == "SI") $lista_app_richiesti .= $key.",";
$lista_app_richiesti = substr($lista_app_richiesti,0,-1);
for ($num1 = 1 ; $num1 <= $num_app_tipo_richiesti ; $num1++) {
$id_app_richiesti++;
$app_richiesti[$id_app_richiesti] = $lista_app_richiesti;
$idinizioperiodo_vett[$id_app_richiesti] = $idinizioperiodo[$n_t];
$idfineperiodo_vett[$id_app_richiesti] = $idfineperiodo[$n_t];
} # fine for $num1
} # fine for $n_t
$app_richiesti[",numero,"] = $id_app_richiesti;
} # fine else if ($num_tipologie == 1 and $num_app_tipo_richiesti1 == 1)

if ($num_app_agenzia != 0 and is_array($motivazioni_regola1)) {
$profondita2 = $profondita;
$prenota_in_settimana_id2 = $prenota_in_settimana_id;
$inizio_prenota_id2 = $inizio_prenota_id;
$fine_prenota_id2 = $fine_prenota_id;
$app_prenota_id2 = $app_prenota_id;
$app_assegnabili_id2 = $app_assegnabili_id;
for ($num1 = 0 ; $num1 < $num_app_agenzia ; $num1 = $num1 + 1) {
$id_app_agenzia[$num1] = risul_query($app_agenzia,$num1,app_agenzia);
$idinizio_app_agenzia[$num1] = risul_query($app_agenzia,$num1,iddatainizio);
$idfine_app_agenzia[$num1] = risul_query($app_agenzia,$num1,iddatafine);
$motivazione_app_agenzia[$num1] = risul_query($app_agenzia,$num1,motivazione);
if ($motivazione_app_agenzia[$num1] == "") $motivazione_app_agenzia[$num1] = " ";
if ($motivazioni_regola1[$motivazione_app_agenzia[$num1]] == "SI") {
unset($info_periodi_ag);
$info_periodi_ag[numero] = 1;
$info_periodi_ag[app][0] = $id_app_agenzia[$num1];
$info_periodi_ag[ini][0] = $idinizio_app_agenzia[$num1];
$info_periodi_ag[fine][0] = $idfine_app_agenzia[$num1];
inserisci_prenota_fittizie ($info_periodi_ag,$profondita2,$app_prenota_id2,$inizio_prenota_id2,$fine_prenota_id2,$prenota_in_settimana_id2,$app_assegnabili_id2);
} # fine if ($motivazioni_regola1[$motivazione_app_agenzia[$num1]] == "SI")
} # fine for $num1
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
for ( $num = $idinizioperiodo[$n_t]; $num <= $idfineperiodo[$n_t]; $num = $num + 1) {
if ($prenota_in_settimana_id2[$num]) $prenotazioni = explode(",",$prenota_in_settimana_id2[$num]);
else unset($prenotazioni);
$num_prenota_presente = count($prenotazioni) - 2;
if ($num_prenota_presente >= $numappartamenti) $occupare_app_agenzia_sempre = "SI";
} # fine for $num
} # fine for $n_t
if ($occupare_app_agenzia_sempre != "SI") {
$app_orig_prenota_id = $app_prenota_id2;
liberasettimane ($idinizioperiodo_vett,$idfineperiodo_vett,$limiti_var,$anno,$fatto_libera,$app_liberato,$profondita2,$app_richiesti,$app_prenota_id2,$app_orig_prenota_id,$inizio_prenota_id2,$fine_prenota_id2,$app_assegnabili_id2,$prenota_in_settimana_id2,$dati_app,$PHPR_TAB_PRE."prenota");
} # fine if ($occupare_app_agenzia_sempre != "SI")
if ($fatto_libera == "SI") {
if ($num_tipologie == 1) $testo_a_video .= "$fr_C_e_ancora_disponibilita $fr_nel_periodo_richiesto $fr_per_la_tipologia $nometariffa_imposta1";
else $testo_a_video .= "$fr_C_e_ancora_disponibilita $fr_nei_periodi_richiesti";
if ($id_app_richiesti > 1) $testo_a_video .= " $fr_in $id_app_richiesti $fr_appartamenti";
$testo_a_video .= ".<br>";
$liberato = "SI";
} # fine if ($fatto_libera == "SI")
} # fine if ($num_app_agenzia != 0 and is_array($motivazioni_regola1))

if ($liberato != "SI") {
$app_orig_prenota_id = $app_prenota_id;
if ($num_app_agenzia == 0 or !is_array($motivazioni_regola1) or $mostra_frase_alternativa_regola1 == "SI") {
liberasettimane ($idinizioperiodo_vett,$idfineperiodo_vett,$limiti_var,$anno,$fatto_libera,$app_liberato,$profondita,$app_richiesti,$app_prenota_id,$app_orig_prenota_id,$inizio_prenota_id,$fine_prenota_id,$app_assegnabili_id,$prenota_in_settimana_id,$dati_app,$PHPR_TAB_PRE."prenota");
if ($fatto_libera == "SI") {
$liberato = "SI";
if ($num_app_agenzia != 0 and is_array($motivazioni_regola1)) echo $fr_alternativa_regola1.".<br>";
else {
if ($num_tipologie == 1) $testo_a_video .= "$fr_C_e_ancora_disponibilita $fr_nel_periodo_richiesto $fr_per_la_tipologia $nometariffa_imposta1";
else $testo_a_video .= "$fr_C_e_ancora_disponibilita $fr_nei_periodi_richiesti";
if ($id_app_richiesti > 1) $testo_a_video .= " $fr_in $id_app_richiesti $fr_appartamenti";
$testo_a_video .= ".<br>";
} # fine else if ($num_app_agenzia != 0 and is_array($motivazioni_regola1))
} # fine if ($fatto_libera == "SI")
} # fine if ($num_app_agenzia == 0 or !is_array($motivazioni_regola1) or $mostra_frase_alternativa_regola1 == "SI")
if ($fatto_libera != "SI") {
if ($num_tipologie == 1) {
echo "$fr_Non_c_e_piu_disponibilita $fr_nel_periodo_richiesto $fr_per_la_tipologia $nometariffa_imposta1";
if ($numpersone) {
if ($numpersone == 1) $testo_a_video .= " $fr_per $numpersone $fr_persona";
else $testo_a_video .= " $fr_per $numpersone $fr_persone";
} # fine if ($numpersone)
} # fine if ($num_tipologie == 1)
else echo "$fr_Non_c_e_piu_disponibilita $fr_nei_periodi_richiesti $fr_per_le_tipologie_richieste";
if ($id_app_richiesti > 1) echo " $fr_in $id_app_richiesti $fr_appartamenti";
echo ".<br>";
} # fine if ($fatto_libera != "SI")
} # fine if ($liberato != "SI")

$tabelle_lock = "";
$altre_tab_lock = array("$tableprenota","$tablecostiprenota","$tablenometariffe","$tableperiodi");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);

if ($liberato == "SI") {
$continuare_totale = "SI";
$costi_agg_in_form = "";
$costo_totale = 0;
$caparra_totale = 0;
unset($num_costi_presenti);

for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
$inizioperiodo = ${"inizioperiodo".$n_t};
$fineperiodo = ${"fineperiodo".$n_t};
$numero_tariffa = ${"numero_tariffa".$n_t};
$tipotariffa = "tariffa".$numero_tariffa;
$numpersone = ${"numpersone".$n_t};
$num_app_tipo_richiesti = ${"num_app_tipo_richiesti".$n_t};
$nometariffa_imposta = ${"nometariffa_imposta".$n_t};
$numcostiagg = ${"numcostiagg".$n_t};
for ($numca = 1 ; $numca <= $numcostiagg ; $numca++) {
${"idcostoagg".$numca} = ${"idcostoagg".$numca."_".$n_t};
${"costoagg".$numca} = ${"costoagg".$numca."_".$n_t};
${"numsettimane".$numca} = ${"numsettimane".$numca."_".$n_t};
${"nummoltiplica_ca".$numca} = ${"nummoltiplica_ca".$numca."_".$n_t};
} # fine for $numca

$lunghezza_periodo = $idfineperiodo[$n_t] - $idinizioperiodo[$n_t] + 1;
unset($tariffesettimanali);
if ($num_tipologie > 1) $testo_a_video .= "<br><b>$n_t</b>: ";
else $testo_a_video .= "<br>";
$testo_a_video .= "$fr_Periodo_di $lunghezza_periodo ";
if ($lunghezza_periodo == 1) $testo_a_video .= $fr_parola_settimana;
else $testo_a_video .= $fr_parola_settimane;
$testo_a_video .= " $fr_dal ".$data_inizioperiodo_f[$n_t]." $fr_al ".$data_fineperiodo_f[$n_t];
if ($numpersone) {
if ($numpersone == 1) $testo_a_video .= " $fr_per $numpersone $fr_persona";
else $testo_a_video .= " $fr_per $numpersone $fr_persone";
} # fine if ($numpersone)
if ($num_tipologie > 1) $testo_a_video .= " $fr_tipologia $nometariffa_imposta.<br><table><tr><td height=\"2\"></td></tr></table>";
else $testo_a_video .= ".<br><br>";
$costo_tariffa = 0;
$continuare = "SI";
for ($num1 = $idinizioperiodo[$n_t] ; $num1 <= $idfineperiodo[$n_t] ; $num1++) {
$rigasettimana = esegui_query("select * from $tableperiodi where idperiodi = '$num1' ");
$costo_tariffa_settimana = risul_query($rigasettimana,0,$tipotariffa);
if (!$costo_tariffa_settimana) {
$continuare = "NO";
$continuare_totale = "NO";
echo $fr_Non_c_e_tariffa_per_questa_tipologia_ecc;
if ($num_tipologie > 1) echo " ($n_t)";
echo ".<br>";
break;
} # fine if (!$costo_tariffa_settimana)
else {
$costo_tariffa = $costo_tariffa + $costo_tariffa_settimana;
$tariffesettimanali .= ",".$costo_tariffa_settimana;
} # fine else if (!$costo_tariffa_settimana)
} # fine for $num1
$tariffesettimanali = substr($tariffesettimanali,1);

if ($continuare == "SI") {

if ($mostra_caparra == "SI") {
$riga_caparra = esegui_query("select * from $tablenometariffe where idntariffe = 2 or idntariffe = 3 order by idntariffe");
$caparra_percent = risul_query($riga_caparra,0,$tipotariffa);
if ($caparra_percent) {
$caparra_arrotond = risul_query($riga_caparra,1,$tipotariffa);
$caparra = ($costo_tariffa*$caparra_percent)/100;
$caparra = $caparra/$caparra_arrotond;
$caparra = floor($caparra);
$caparra = $caparra*$caparra_arrotond;
if ($num_app_tipo_richiesti > 1) $caparra_pre_tot = $caparra * $num_app_tipo_richiesti;
else $caparra_pre_tot = $caparra;
$caparra_totale = $caparra_totale + $caparra_pre_tot;
} # fine if ($caparra_percent)
} # fine if ($mostra_caparra == "SI")

# Costi aggiuntivi
$costi_agg_tot = 0;
unset($costi_agg_tot_vett);
$num_costi_agg = 0;
unset($nomi_costi_agg);
unset($prezzi_costi_agg);
unset($moltiplica_costi_agg);
unset($settimane_costi_agg);
unset($moltiplica_costo);
unset($settimane_costo);
unset($num_letti_agg);
unset($num_app_reali_costo);

$costi_aggiuntivi_sbagliati = "NO";
if ($numcostiagg == "") $numcostiagg = 0;
$numcostiagg_orig = $numcostiagg;
if ($aggiungi_costi_fissi == "SI") {
for ($num1 = 0 ; $num1 < $dati_ca[num] ; $num1++) {
if ($dati_ca[$num1]["tipo_associa_".$tipotariffa] == "s" and associa_costo_a_tariffa($dati_ca,$num1,$tipotariffa,$lunghezza_periodo) == "SI") {
$numcostiagg++;
${"costoagg".$numcostiagg} = "SI";
${"idcostoagg".$numcostiagg} = $dati_ca[$num1][id];
} # fine if ($dati_ca[$num1]["tipo_associa_".$tipotariffa] == "s" and...
} # fine for $num1
} # fine if ($aggiungi_costi_fissi == "SI")
if (${"aggiungi_costo_letto".$n_t} == "SI") {
$numcostiagg++;
${"costoagg".$numcostiagg} = "SI";
${"idcostoagg".$numcostiagg} =  $costo_aggiungi_letti;
${"nummoltiplica_ca".$numcostiagg} = ${"num_aggiungi_letti".$n_t};
} # fine if (${"aggiungi_costo_letto".$n_t} == "SI")
for ($numca = 1 ; $numca <= $numcostiagg ; $numca++) {
$costoagg = "costoagg".$numca;
$idcostoagg = "idcostoagg".$numca;
$num_costo = $dati_ca[id][$$idcostoagg];
if ($costi_agg_mostra[$$idcostoagg] != "SI") $$costoagg = "";
if (($mostra_costi_aggiuntivi != "SI" or $dati_ca[$num_costo][mostra] != "s") and $numca <= $numcostiagg_orig) $$costoagg = "";
if ($$idcostoagg == $costo_aggiungi_letti and $numca <= $numcostiagg_orig) $$costoagg = "";
if ($$costoagg == "SI") {
$numsettimane = "numsettimane".$numca;
$nummoltiplica_ca = "nummoltiplica_ca".$numca;
$id_periodi_costo = "id_periodi_costo".$numca."_".$n_t;
if ($$idcostoagg != $dati_ca[$num_costo][id]) $costi_aggiuntivi_sbagliati = "SI";
if ($dati_ca[$num_costo]["incomp_".$tipotariffa] == "i") $costi_aggiuntivi_sbagliati = "SI";
if (!$$numsettimane and $dati_ca[$num_costo][numsett] == "c" and $dati_ca[$num_costo][associasett] != "s") $costi_aggiuntivi_sbagliati = "SI";
if ($$numsettimane and ($$numsettimane > $lunghezza_periodo or controlla_num_pos($$numsettimane) == "NO")) $costi_aggiuntivi_sbagliati = "SI";
if ($$nummoltiplica_ca and controlla_num_pos($$nummoltiplica_ca) == "NO") $costi_aggiuntivi_sbagliati = "SI";
if (trova_periodo_permesso_costo($dati_ca,$num_costo,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$$numsettimane) == "NO") $costi_aggiuntivi_sbagliati = "SI";
if ($n_costi_agg_imposti[$$idcostoagg]) $nomecosto_imposto = $n_costi_agg_imposti[$$idcostoagg];
else $nomecosto_imposto = $dati_ca[$num_costo][nome];

if ($$id_periodi_costo == "inserire") {
$$id_periodi_costo = "";
for ($num1 = $idinizioperiodo[$n_t]; $num1 <= $idfineperiodo[$n_t]; $num1++) {
if (${"sett".$num1."costo".$numca."_".$n_t} == "SI") $$id_periodi_costo .= ",".$num1;
} # fine for $num1
if ($$id_periodi_costo) $$id_periodi_costo .= ",";
else $$id_periodi_costo = "nessuno";
} # fine if ($$id_periodi_costo == "inserire")
if ($dati_ca[$num_costo][numsett] == "c" and $dati_ca[$num_costo][associasett] == "s" and $continuare != "NO" and !$$id_periodi_costo) {
$continuare = "NO";
$continuare_totale = "NO";
echo "<hr align=\"left\" width=\"30%\">
$fr_Scegliere_le_settimane_in_cui_applicare \"".$nomecosto_imposto;
if ($num_tipologie > 1) echo " ($n_t)";
echo "\":<br>
<form method=\"post\" action=\"$pag\">";
for ($num1 = $idinizioperiodo[$n_t]; $num1 <= $idfineperiodo[$n_t]; $num1++) {
$periodo_costo_trovato = "NO";
if ($dati_ca[$num_costo][periodipermessi] == "p") {
for ($num2 = 0 ; $num2 < count($dati_ca[$num_costo][sett_periodipermessi_ini]) ; $num2++) {
if ($dati_ca[$num_costo][sett_periodipermessi_ini][$num2] <= $num1 and $dati_ca[$num_costo][sett_periodipermessi_fine][$num2] >= $num1) $periodo_costo_trovato = "SI";
} # fine for $num2
} # fine if ($dati_ca[$num_costo][periodipermessi] == "p")
else $periodo_costo_trovato = "SI";
if ($periodo_costo_trovato == "SI") {
$date_sett_costo = esegui_query("select datainizio,datafine from $tableperiodi where idperiodi = '$num1'");
echo "<input type=\"checkbox\" name=\"sett$num1"."costo$numca"."_$n_t\" value=\"SI\">$fr_dal
 ".formatta_data(risul_query($date_sett_costo,0,datainizio),$stile_data)." $fr_al
 ".formatta_data(risul_query($date_sett_costo,0,datafine),$stile_data)."<br>";
} # fine if ($periodo_costo_trovato == "SI")
} # fine for $num1
echo $dati_form_iniziale;
$$id_periodi_costo = "inserire";
for ($numca2 = 1 ; $numca2 <= $numca ; $numca2++) echo "<input type=\"hidden\" name=\"id_periodi_costo$numca2"."_$n_t\" value=\"".${"id_periodi_costo".$numca2."_".$n_t}."\">";
echo "<input type=\"hidden\" name=\"contr_disp\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"$fr_Continua\">
</form><hr align=\"left\" width=\"30%\">";
} # fine if ($dati_ca[$num_costo][numsett] == "c" and $dati_ca[$num_costo][associasett] == "s" and...
else {
$settimane_costo[$numca] = calcola_settimane_costo($tableperiodi,$dati_ca,$num_costo,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$$id_periodi_costo,$$numsettimane);
aggiorna_letti_agg_in_periodi($dati_ca,$num_costo,$num_letti_agg,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo[$numca],"",$$nummoltiplica_ca,$numpersone);
} # fine else if ($dati_ca[$num_costo][numsett] == "c" and $dati_ca[$num_costo][associasett] == "s" and...

if (($dati_ca[$num_costo][moltiplica] == "p" or $dati_ca[$num_costo][moltiplica] == "t") and !$numpersone) {
$costi_aggiuntivi_sbagliati = "SI";
echo $fr_Si_deve_inserire_il_numero_delle_persone_per." \"$nomecosto_imposto\".<br>";
if ($num_tipologie > 1) echo " ($n_t)";
} # fine if (($dati_ca[$num1][moltiplica] == "p" or $dati_ca[$num1][moltiplica] == "t") and !$numpersone)
} # fine if ($$costoagg == "SI")
} # fine for $numca

if ($num_app_tipo_richiesti > 1) $num_controlla_limite = $num_app_tipo_richiesti;
else $num_controlla_limite = 1;
for ($numca = 1 ; $numca <= $numcostiagg ; $numca++) {
if (${"costoagg".$numca} == "SI") {
$idcostoagg = "idcostoagg".$numca;
$num_costo = $dati_ca[id][$$idcostoagg];
calcola_moltiplica_costo($dati_ca,$num_costo,$moltiplica_costo[$numca],$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo[$numca],${"nummoltiplica_ca".$numca},$numpersone,$num_letti_agg);
for ($num1 = 0 ; $num1 < $num_controlla_limite ; $num1++) if (controlla_num_limite_costo($tablecostiprenota,$tableprenota,$dati_ca,$num_costo,$num_costi_presenti,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo[$numca],$moltiplica_costo[$numca]) == "NO") $costi_aggiuntivi_sbagliati = "SI";
} # fine if (${"costoagg".$numca} == "SI")
} # fine for $numca

if ($costi_aggiuntivi_sbagliati == "SI") {
echo "$fr_Errore_nei_servizi_opzionali_richiesti.<br>";
$continuare = "NO";
$continuare_totale = "NO";
} # fine if ($costi_aggiuntivi_sbagliati == "SI")

elseif ($aggiungi_costi_fissi == "SI") {
# costi opzionali
if (!$numpersone) $numpersone_costi_poss = 0;
else $numpersone_costi_poss = $numpersone;
for ($num_costo = 0 ; $num_costo < $dati_ca[num] ; $num_costo++) {
if ($costi_agg_mostra[$dati_ca[$num_costo][id]] == "SI") {
$associa_costo = associa_costo_a_tariffa($dati_ca,$num_costo,$tipotariffa,$lunghezza_periodo);
if ($associa_costo == "SI" and $dati_ca[$num_costo]["tipo_associa_".$tipotariffa] == "p") {
$settimane_costo2 = calcola_settimane_costo($tableperiodi,$dati_ca,$num_costo,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],"","");
$num_letti_agg_copia = $num_letti_agg;
$num_app_reali_costo2 = "";
if ($dati_ca[$num_costo][letto] == "s") {
aggiorna_letti_agg_in_periodi($dati_ca,$num_costo,$num_letti_agg_copia,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo2,"","",$numpersone_costi_poss);
unset($moltiplica_copia);
unset($num_costi_presenti_copia);
for ($numca = 1 ; $numca <= $numcostiagg ; $numca++) {
if (${"costoagg".$numca} == "SI") {
$num_costo2 = $dati_ca[id][${"idcostoagg".$numca}];
if ($dati_ca[$num_costo2][moltiplica] != "t") $moltiplica_copia[$numca] = $moltiplica_costo[$numca];
else calcola_moltiplica_costo($dati_ca,$num_costo2,$moltiplica_copia[$numca],$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo[$numca],"",$numpersone,$num_letti_agg_copia);
for ($num1 = 0 ; $num1 < $num_controlla_limite ; $num1++) if (controlla_num_limite_costo($tablecostiprenota,$tableprenota,$dati_ca,$num_costo2,$num_costi_presenti_copia,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo[$numca],$moltiplica_copia[$numca]) == "NO") $associa_costo = "NO";
} # fine if (${"costoagg".$numca} == "SI")
} # fine for $numca
} # fine if ($dati_ca[$num_costo][letto] == "s")
else $num_costi_presenti_copia = $num_costi_presenti;
calcola_moltiplica_costo($dati_ca,$num_costo,$moltiplica_costo2,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo2,"",$numpersone_costi_poss,$num_letti_agg_copia);
$periodo_costo_trovato = trova_periodo_permesso_costo($dati_ca,$num_costo,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo2);
if ($periodo_costo_trovato == "NO") $associa_costo = "NO";
else {
if (controlla_num_limite_costo($tablecostiprenota,$tableprenota,$dati_ca,$num_costo,$num_costi_presenti_copia,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo2,$moltiplica_costo2) == "NO") $associa_costo = "NO";
else for ($num1 = 1 ; $num1 < $num_controlla_limite ; $num1++) if (controlla_num_limite_costo($tablecostiprenota,$tableprenota,$dati_ca,$num_costo,$num_costi_presenti_copia,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo2,$moltiplica_costo2) == "NO") {$num_app_reali_costo2 = $num1; break;}
} # fine else if ($periodo_costo_trovato == "NO")
if ($associa_costo == "SI") {
if ($dati_ca[$num_costo][letto] == "s") {
$num_costi_presenti = $num_costi_presenti_copia;
$num_letti_agg = $num_letti_agg_copia;
for ($numca = 1 ; $numca <= $numcostiagg ; $numca++) $moltiplica_costo[$numca] = $moltiplica_copia[$numca];
} # fine if ($dati_ca[$num_costo][letto] == "s")
$numcostiagg++;
$numca = $numcostiagg;
${"costoagg".$numca} = "SI";
${"idcostoagg".$numca} = $dati_ca[$num_costo][id];
$settimane_costo[$numca] = $settimane_costo2;
$moltiplica_costo[$numca] = $moltiplica_costo2;
if ($num_app_reali_costo2) $num_app_reali_costo[$numca] = $num_app_reali_costo2;
} # fine if ($associa_costo == "SI")
} # fine if ($associa_costo == "SI" and $dati_ca[$num_costo]["tipo_associa_".$tipotariffa] == "p")
} # fine if ($attiva_costi_agg_consentiti == "n" or $costi_agg_consentiti_vett[$dati_ca[$num_costo][id]] == "SI")
} # fine for $num_costo
} # fine elseif ($aggiungi_costi_fissi == "SI")

for ($num1 = 2 ; $num1 <= $num_controlla_limite ; $num1++) $costi_agg_tot_vett[$num1] = (double) 0;
for ($num_costo = 0 ; $num_costo < $dati_ca[num] ; $num_costo++) {
$idcostoagg = $dati_ca[$num_costo][id];
$costo_trovato = "NO";
for ($numca = 1 ; $numca <= $numcostiagg ; $numca++) if ($idcostoagg == ${"idcostoagg".$numca}) $costo_trovato = $numca;
if ($costo_trovato != "NO") {
$numca = $costo_trovato;
if (${"costoagg".$numca} == "SI") {
$prezzo_costo = calcola_prezzo_totale_costo($dati_ca,$num_costo,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo[$numca],$moltiplica_costo[$numca],$costo_tariffa,$tariffesettimanali,($costo_tariffa + $costi_agg_tot),$caparra);
$costi_agg_tot = $costi_agg_tot + $prezzo_costo;
if ($num_app_reali_costo[$numca]) $num_controlla_limite2 = $num_app_reali_costo[$numca];
else $num_controlla_limite2 = $num_controlla_limite;
for ($num1 = 2 ; $num1 <= $num_controlla_limite2 ; $num1++) {
$prezzo_costo_parz = calcola_prezzo_totale_costo($dati_ca,$num_costo,$idinizioperiodo[$n_t],$idfineperiodo[$n_t],$settimane_costo[$numca],$moltiplica_costo[$numca],$costo_tariffa,$tariffesettimanali,($costo_tariffa + $costi_agg_tot_vett[$num1]),$caparra);
$costi_agg_tot_vett[$num1] = $costi_agg_tot_vett[$num1] + $prezzo_costo_parz;
} # fine for $num1
$valnumsettimane_ca = $settimane_costo[$numca];
if ($dati_ca[$num_costo][associasett] == "s") {
$moltiplica = explode(",",$moltiplica_costo[$numca]);
$valnummoltiplica_ca = $moltiplica[1];
for ($num2 = 2 ; $num2 < (count($moltiplica) - 1) ; $num2++) if ($moltiplica[$num2] != $valnummoltiplica_ca) $valnummoltiplica_ca = 1;
$numsettimane = explode(",",$valnumsettimane_ca);
if ($dati_ca[$num_costo][numsett] == "c") {
$valnumsettimane_ca = "";
for ($num2 = 1 ; $num2 < (count($numsettimane) - 1) ; $num2++) {
$date_sett_costo = esegui_query("select datainizio,datafine from $tableperiodi where idperiodi = '".$numsettimane[$num2]."'");
$valnumsettimane_ca .= formatta_data(risul_query($date_sett_costo,0,datainizio),$stile_data)." $fr_al ".formatta_data(risul_query($date_sett_costo,0,datafine),$stile_data)."; ";
} # fine for $num2
$valnumsettimane_ca = " ".substr($valnumsettimane_ca,0,-2)." ";
} # fine if ($dati_ca[$num_costo][numsett] == "c")
else {
$valnumsettimane_ca = (count($numsettimane) - 2);
if ($valnumsettimane_ca < 0) $valnumsettimane_ca = 0;
} # fine else if ($dati_ca[$num_costo][numsett] == "c")
} # fine if ($dati_ca[$num_costo][associasett] == "s")
else $valnummoltiplica_ca = $moltiplica_costo[$numca];
if ($n_costi_agg_imposti[$idcostoagg]) $nomecosto_imposto = $n_costi_agg_imposti[$idcostoagg];
else $nomecosto_imposto = $dati_ca[$num_costo][nome];
$nomi_costi_agg[$num_costi_agg] = $nomecosto_imposto;
$moltiplica_costi_agg[$num_costi_agg] = $valnummoltiplica_ca;
$settimane_costi_agg[$num_costi_agg] = $valnumsettimane_ca;
$prezzi_costi_agg[$num_costi_agg] = $prezzo_costo;
$num_ripeti_costo[$num_costi_agg] = $num_app_reali_costo[$numca];
$num_costi_agg++;
} # fine if (${"costoagg".$numca} == "SI")
} # fine if ($costo_trovato != "NO")
} # fine for $num_costo


$costo_tariffa_tot = $costo_tariffa + $costi_agg_tot;
$costo_totale = $costo_totale + $costo_tariffa_tot;
for ($num1 = 2 ; $num1 <= $num_controlla_limite ; $num1++) $costo_totale = $costo_totale + $costo_tariffa + $costi_agg_tot_vett[$num1];
$costo_tariffa_tot_p = punti_in_num($costo_tariffa_tot,$stile_soldi);
$costi_agg_tot_p = punti_in_num($costi_agg_tot,$stile_soldi);
$testo_a_video .= "$fr_Prezzo: $costo_tariffa_tot_p";
if ($costo_tariffa_tot == 1) $testo_a_video .= " $fr_Euro";
else $testo_a_video .= " $fr_Euros";
if ($costi_agg_tot != 0) {
$testo_a_video .= " ($fr_compresi ";
for ($num1 = 0 ; $num1 < $num_costi_agg ; $num1++) {
if ($num1 > 0) $testo_a_video .=  ", ";
$testo_a_video .= $prezzi_costi_agg[$num1]." ";
if ($prezzi_costi_agg[$num1] == 1) $testo_a_video .= $fr_Euro;
else $testo_a_video .= $fr_Euros;
$testo_a_video .=  " $fr_di ".$nomi_costi_agg[$num1];
if ($num_ripeti_costo[$num_costi_agg] and $num_ripeti_costo[$num_costi_agg] > 1) $testo_a_video .=  " ($fr_per ".$num_ripeti_costo[$num_costi_agg]." $fr_appartamenti)";
if ($num_ripeti_costo[$num_costi_agg] == 1) $testo_a_video .=  " ($fr_per 1 $fr_appartamento)";
} # fine for $num1
$testo_a_video .= ")";
} # fine if ($costi_agg_tot != 0)
if ($num_app_tipo_richiesti > 1) $testo_a_video .= " x $num_app_tipo_richiesti";
$testo_a_video .= ".<br>";

if ($num_letti_agg["max"] and $numpersone) {
$testo_a_video = str_replace("$fr_per $numpersone $fr_persone","$fr_per ".($numpersone + $num_letti_agg["max"])." $fr_persone",$testo_a_video);
$testo_a_video = str_replace("$fr_per $numpersone $fr_persona","$fr_per ".($numpersone + $num_letti_agg["max"])." $fr_persone",$testo_a_video);
} # fine if ($num_letti_agg["max"] and $numpersone)

if ($mostra_richiesta_via_mail == "SI" and $manda_mail == "SI") {
if ($num_tipologie > 1) $testo_tipologie_email .= "$n_t: ";
$costo_tariffa_p = punti_in_num($costo_tariffa,$stile_soldi);
$testo_tipologie_email .= "$fre_Periodo: $fre_dal ".$data_inizioperiodo_f[$n_t]." $fre_al ".$data_fineperiodo_f[$n_t]."\r\n";
$testo_tipologie_email .= "$fre_Tariffa: ".$nometariffa_vedi[$n_t]." ($costo_tariffa_p $fr_Euro)\r\n";
if ($numpersone) $testo_tipologie_email .= "$fre_Persone: $numpersone\r\n";
if ($costi_agg_tot != 0) {
$testo_tipologie_email .= "$fre_Costi_aggiuntivi: ";
for ($num1 = 0 ; $num1 < $num_costi_agg ; $num1++) {
if ($num1 > 0) $testo_tipologie_email .=  ", ";
$testo_tipologie_email .= $nomi_costi_agg[$num1];
if ($moltiplica_costi_agg[$num1] != 1) $testo_tipologie_email .= "(x".$moltiplica_costi_agg[$num1].")";
if ($settimane_costi_agg[$num1]) $testo_tipologie_email .= "(x".$settimane_costi_agg[$num1]."$fre_sett)";
$testo_tipologie_email .= " ".$prezzi_costi_agg[$num1]." $fr_Euro";
} # fine for $num1
$testo_tipologie_email .= "\r\n";
} # fine if ($costi_agg_tot != 0)
if ($num_app_tipo_richiesti > 1) {
$testo_tipologie_email .= "$fre_Numero_di_appartamenti: $num_app_tipo_richiesti\r\n";
} # fine if ($num_app_tipo_richiesti > 1)
$testo_tipologie_email .= "\r\n";
} # fine if ($mostra_richiesta_via_mail == "SI" and $manda_mail == "SI")

} # fine if ($continuare == "SI")
} # fine for $n_t

if ($continuare_totale == "SI") {
$costo_totale_p = punti_in_num($costo_totale,$stile_soldi);
if ($num_app_tipo_richiesti1 > 1 or $num_tipologie > 1) {
$testo_a_video .= "<br>$fr_Totale: $costo_totale_p ";
if ($costo_totale == 1) $testo_a_video .= $fr_Euro;
else $testo_a_video .= $fr_Euros;
$testo_a_video .= ".<br>";
} # fine if ($num_app_tipo_richiesti1 > 1 or $num_tipologie > 1)
if ($mostra_caparra == "SI" and $caparra_totale > 0) {
$caparra_totale_p = punti_in_num($caparra_totale,$stile_soldi);
$testo_a_video .= "<br>$fr_Caparra: $caparra_totale_p ";
if ($caparra_totale == 1) $testo_a_video .= $fr_Euro;
else $testo_a_video .= $fr_Euros;
$testo_a_video .= ".<br>";
} # fine if ($mostra_caparra == "SI" and $caparra_totale > 0)

if ($mostra_richiesta_via_mail == "SI" and $manda_mail == "SI") {
if (eregi('^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,4}$',$email_richiedente)) {
if ($PHP_SELF != str_replace($pag,"",$PHP_SELF)) $riferimento = $PHP_SELF;
else $riferimento = $pag;
$testo_email = "$fre_Riferimento: $riferimento\r\n\r\n";
$testo_email .= "$fre_Da: $email_richiedente\r\n\r\n";
if ($nome_richiedente) $testo_email .= "$fre_Nome: $nome_richiedente\r\n\r\n";
if ($commento) $testo_email .= "$fre_Commento: $commento\r\n\r\n";
$testo_email .= $testo_tipologie_email;
$testo_email .= "$fre_Prezzo_totale: $costo_totale_p $fr_Euro\r\n";
if ($caparra_totale > 0) $testo_email .= "\r\n$fre_Caparra: $caparra_totale $fr_Euro\r\n";
$headers .= "From: $nome_richiedente <$email_richiedente>\r\n";
$headers .= "X-Sender: <$email_richiedente>\r\n";
$headers .= "X-Mailer: PHP\r\n";
$headers .= "X-Priority: 3\r\n";
$headers .= "Return-Path: <$email_richiedente>\r\n";
$headers .= "Content-type: text/plain; charset=iso-8859-1\r\n";
if ($maschera_envelope == "SI") $inviato = mail($indirizzo_email,$fre_Richesta_prenotazione,$testo_email,$headers,"-f$email_richiedente");
else $inviato = mail($indirizzo_email,$fre_Richesta_prenotazione,$testo_email,$headers);
if ($inviato) echo "$fr_Richiesta_di_prenotazione_inviata_da $email_richiedente.<br>";
else echo "$fr_Non_e_stato_possibile_inviare_la_richiesta.<br>";
} # fine if (eregi('^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,4}$',$email_richiedente))
else echo "$fr_Si_deve_inserire_un_indirizzo_email_valido.<br>";
if (!$inviato) $torna_indietro = "SI";
} # fine if ($mostra_richiesta_via_mail == "SI" and $manda_mail == "SI")

else {
echo $testo_a_video;
if ($mostra_richiesta_via_mail == "SI") {
echo "<br><table border=1><tr><td><table>
<form method=\"post\" action=\"$pag\">
<input type=\"hidden\" name=\"contr_disp\" value=\"SI\">
<input type=\"hidden\" name=\"num_tipologie\" value=\"$num_tipologie\">
<input type=\"hidden\" name=\"manda_mail\" value=\"SI\">
$dati_form_iniziale";
for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
for ($numca = 1 ; $numca <= ${"numcostiagg".$n_t} ; $numca++) echo "<input type=\"hidden\" name=\"id_periodi_costo$numca"."_$n_t\" value=\"".${"id_periodi_costo".$numca."_".$n_t}."\">";
} # fine for $n_t
echo "<tr><td align=\"right\">$apertura_tag_font $fr_Nome: $chiusura_tag_font</td><td>$apertura_tag_font
<input type=\"text\" name=\"nome_richiedente\" size=\"30\" value=\"$nome_richiedente\">$chiusura_tag_font</td>
<td valign=\"center\" rowspan=\"3\">$apertura_tag_font<center>
<input class=\"sbutton\" type=\"submit\" name=\"m_m\" value=\"$fr_Invia_la_richiesta_di_prenotazione\"><br>";
if ($num_tipologie > 1) echo "$fr_in $id_app_richiesti $fr_appartamenti<br>";
else echo "$fr_dal ".$data_inizioperiodo_f[1]." $fr_al ".$data_fineperiodo_f[1]."<br>";
echo "$fr_per $costo_totale_p ";
if ($costo_totale == 1) echo $fr_Euro;
else echo $fr_Euros;
echo ".</center>
$chiusura_tag_font</td></tr><td align=\"right\">$apertura_tag_font $fr_Email: $chiusura_tag_font</td>
<td>$apertura_tag_font <input type=\"text\" name=\"email_richiedente\" size=\"30\" value=\"$email_richiedente\">
$chiusura_tag_font</td></tr><td align=\"right\" valign=\"top\">$apertura_tag_font $fr_Commento: $chiusura_tag_font</td>
<td>$apertura_tag_font <textarea name=\"commento\" rows=3 cols=23 wrap=\"virtual\">$commento</textarea>
$chiusura_tag_font</td></tr></form></table></td></tr></table>";
} # fine if ($mostra_richiesta_via_mail == "SI")


if ($mostra_quadro_disp) {

$colonna_destra_tab_disp = "NO";
$fr_persone = $fr_persone;
$fr_persona = $fr_persona;
$nome_mese["01"] = $fr_Gennaio;
$nome_mese["02"] = $fr_Febbraio;
$nome_mese["03"] = $fr_Marzo;
$nome_mese["04"] = $fr_Aprile;
$nome_mese["05"] = $fr_Maggio;
$nome_mese["06"] = $fr_Giugno;
$nome_mese["07"] = $fr_Luglio;
$nome_mese["08"] = $fr_Agosto;
$nome_mese["09"] = $fr_Settembre;
$nome_mese["10"] = $fr_Ottobre;
$nome_mese["11"] = $fr_Novembre;
$nome_mese["12"] = $fr_Dicembre;
unset($app_consentito);
unset($app_consentito_sett);

# Calcolo gli appartamenti consentiti dalla regola 2 e i nomi delle tariffe
$tutti_consentiti = "NO";
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($tariffe_mostra[$numtariffa] == "SI") {
if ($mostra_quadro_disp == "reg2") {
if ($n_tariffe_imposte[$numtariffa]) $nome_tariffa[$numtariffa] = $n_tariffe_imposte[$numtariffa];
else {
$nome_tariffa[$numtariffa] = risul_query($rigatariffe,0,"tariffa".$numtariffa);
if ($nome_tariffa[$numtariffa] == "") $nome_tariffa[$numtariffa] = $fr_tariffa.$numtariffa;
} # fine else if ($n_tariffe_imposte[$numtariffa])
} # fine if ($mostra_quadro_disp == "reg2")
if (!$app_regola2_orig[$numtariffa]) $tutti_consentiti = "SI";
if ($tutti_consentiti != "SI") {
$appartamenti_regola2 = explode(",",$app_regola2_orig[$numtariffa]);
for ($num1 = 0 ; $num1 < count($appartamenti_regola2) ; $num1++) $app_consentito[$appartamenti_regola2[$num1]] = "SI";
} # fine if ($tutti_consentiti != "SI")
} # fine if ($tariffe_mostra[$numtariffa] == "SI")
} # fine ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++)
if ($tutti_consentiti == "SI") for ($num1 = 0 ; $num1 < $dati_app[totapp] ; $num1++) $app_consentito[$dati_app[posizione][$num1]] = "SI";

# Calcolo gli appartamenti consentiti dalla regola 1
if ($num_app_agenzia != 0 and is_array($motivazioni_regola1)) {
$app_consentito_sett[",attivo,"] = "SI";
for ($num1 = 0 ; $num1 < $dati_app[totapp] ; $num1++) {
for ($num2 = $id_data_inizio_tab_disp ; $num2 <= ($id_data_inizio_tab_disp + $num_colonne_tab_disp - 1) ; $num2++) {
$app_consentito_sett[$dati_app[posizione][$num1]][$num2] = "SI";
} # fine for $num2
} # fine for $num1
for ($num1 = 0 ; $num1 < $num_app_agenzia ; $num1++) {
if ($motivazioni_regola1[$motivazione_app_agenzia[$num1]] == "SI") {
#if ($idinizio_app_agenzia[$num1] == 1 and $idfine_app_agenzia[$num1] == $max_periodo) $app_consentito[$id_app_agenzia[$num1]] = "NO";
for ($num2 = $idinizio_app_agenzia[$num1] ; $num2 <= $idfine_app_agenzia[$num1] ; $num2++) {
$app_consentito_sett[$id_app_agenzia[$num1]][$num2] = "NO";
} # fine for $num2
} # fine if ($motivazioni_regola1[$motivazione_app_agenzia[$num1]] == "SI")
} # fine for $num1
} # fine if ($num_app_agenzia != 0 and is_array($motivazioni_regola1))

$righe_tab_disp = crea_quadro_disp($id_data_inizio_tab_disp,$num_colonne_tab_disp,$mostra_quadro_disp,$mostra_num_liberi,$app_consentito,$app_consentito_sett,$app_regola2_orig,$tipo_periodi,$numero_tariffe,$nome_tariffa,$dati_app,$prenota_in_settimana_id,$app_orig_prenota_id,$tableperiodi);

if ($righe_tab_disp) {
echo "<br><br><center><font size=\"-1\">$fr_Quadro_indicativo_disponibilita</font>
<table class=\"tab_disp\" border=1 cellspacing=0 cellpadding=1 align=\"center\" bgcolor=\"$c_sfondo_tab_disp\">
$righe_tab_disp
</table></center>";
} # fine if ($righe_tab_disp)

} # fine if ($mostra_quadro_disp)


} # fine else if ($mostra_richiesta_via_mail == "SI" and $manda_mail == "SI")
} # fine if ($continuare_totale == "SI")


} # fine if ($liberato == "SI")

unlock_tabelle($tabelle_lock);


} # fine if ($verificare != "NO")
else $torna_indietro = "SI";

if ($torna_indietro == "SI") {
echo "<br><form method=\"post\" action=\"$pag\">
$dati_form_iniziale";
if ($manda_mail == "SI") {
echo "<input type=\"hidden\" name=\"contr_disp\" value=\"SI\">
<input type=\"hidden\" name=\"nome_richiedente\" value=\"$nome_richiedente\">
<input type=\"hidden\" name=\"email_richiedente\" value=\"$email_richiedente\">
<input type=\"hidden\" name=\"commento\" value=\"$commento\">";
} # fine if ($manda_mail == "SI")
echo "<input class=\"sbutton\" type=\"submit\" name=\"tor_ind\" value=\"$fr_Torna_indietro\">
</form><br>";
} # fine if ($torna_indietro == "SI")

else {
echo "<br><form method=\"post\" action=\"$pag\">
<input class=\"sbutton\" type=\"submit\" name=\"ricontrolla\" value=\"$fr_Nuovo_controllo\">
</form><br>";
} # fine else if ($torna_indietro == "SI")

echo $chiusura_tag_font;
} # fine if ($contr_disp)



if ($mostra_form != "NO") {

if ($aggiungi_nuova_tipologia) {
${"inizioperiodo".$num_tipologie} = ${"inizioperiodo".($num_tipologie -1)};
${"fineperiodo".$num_tipologie} = ${"fineperiodo".($num_tipologie -1)};
${"numero_tariffa".$num_tipologie} = ${"numero_tariffa".($num_tipologie -1)};
${"num_app_tipo_richiesti".$num_tipologie} = ${"num_app_tipo_richiesti".($num_tipologie -1)};
for ($numcf = 0 ; $numcf < ${"numcostifinali".($num_tipologie -1)} ; $numcf++) {
${"idcostofinale".$numcf."_".$num_tipologie} = ${"idcostofinale".$numcf."_".($num_tipologie -1)};
${"costofinale".$numcf."_".$num_tipologie} = ${"costofinale".$numcf."_".($num_tipologie -1)};
${"nummoltiplica_cf".$numcf."_".$num_tipologie} = ${"nummoltiplica_cf".$numcf."_".($num_tipologie -1)};
} # fine for $numcf
for ($numcs = 0 ; $numcs < ${"numcostisettimanali".($num_tipologie -1)} ; $numcs++) {
${"idcostosettimanale".$numcs."_".$num_tipologie} = ${"idcostosettimanale".$numcs."_".($num_tipologie -1)};
${"costosettimanale".$numcs."_".$num_tipologie} = ${"costosettimanale".$numcs."_".($num_tipologie -1)};
${"numsettimane".$numcs."_".$num_tipologie} = ${"numsettimane".$numcs."_".($num_tipologie -1)};
${"nummoltiplica_cs".$numcs."_".$num_tipologie} = ${"nummoltiplica_cs".$numcs."_".($num_tipologie -1)};
} # fine for $numcs
for ($numcp = 0 ; $numcp < ${"numcostipercentuali".($num_tipologie -1)} ; $numcp++) {
${"idcostopercentuale".$numcp."_".$num_tipologie} = ${"idcostopercentuale".$numcp."_".($num_tipologie -1)};
${"costopercentuale".$numcp."_".$num_tipologie} = ${"costopercentuale".$numcp."_".($num_tipologie -1)};
${"nummoltiplica_cp".$numcp."_".$num_tipologie} = ${"nummoltiplica_cp".$numcp."_".($num_tipologie -1)};
} # fine for $numcp
} # fine if ($aggiungi_nuova_tipologia)
echo "<table><tr><td>$apertura_tag_font
<form method=\"post\" action=\"$pag\">
$fr_Controlla_la_disponibilita";
if ($num_tipologie > 1) echo " $fr_in:<br>";
$oggi = date("Y-m-d",(time() + (C_DIFF_ORE * 3600)));
$date_select = esegui_query("select datainizio,datafine from $tableperiodi where datainizio <= '$oggi' and datafine > '$oggi' ");
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
if ($mostra_costi_aggiuntivi == "SI") $dati_ca = dati_costi_agg_ntariffe($tablenometariffe,"NO","SI");

for ($n_t = 1 ; $n_t <= $num_tipologie ; $n_t++) {
if ($num_tipologie > 1) echo "<br><b>$n_t</b>: ";
if (numlin_query($date_select) == 1) {
$inizio_select = risul_query($date_select,0,datainizio);
$fine_select = risul_query($date_select,0,datafine);
} # fine if (numlin_query($date_select) == 1)
echo " $fr_dal <select name=\"inizioperiodo$n_t\">";
if (${"inizioperiodo".$n_t}) echo str_replace(${"inizioperiodo".$n_t}."\"",${"inizioperiodo".$n_t}."\" selected",$menu_periodi);
else {
if ($inizio_select) echo str_replace($inizio_select."\"",$inizio_select."\" selected",$menu_periodi);
else echo $menu_periodi;
} # fine else if (${"inizioperiodo".$n_t})
echo "</select>
 $fr_al <select name=\"fineperiodo$n_t\">";
if (${"fineperiodo".$n_t}) echo str_replace(${"fineperiodo".$n_t}."\"",${"fineperiodo".$n_t}."\" selected",$menu_periodi);
else {
if ($fine_select) echo str_replace($fine_select."\"",$fine_select."\" selected",$menu_periodi);
else echo $menu_periodi;
} # fine else if (${"fineperiodo".$n_t})
echo "</select> $fr_per_la_tipologia
 <select name=\"numero_tariffa$n_t\">";
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa = $numtariffa + 1) {
if ($tariffe_mostra[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$nometariffa = risul_query($rigatariffe,0,$tariffa);
$nometariffa_vedi = $nometariffa;
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi = $fr_tariffa.$numtariffa;
} # fine if ($nometariffa == "")
if ($n_tariffe_imposte[$numtariffa]) $nometariffa_imposta = $n_tariffe_imposte[$numtariffa];
else $nometariffa_imposta = $nometariffa_vedi;
if (${"numero_tariffa".$n_t} == $numtariffa) $selected = " selected";
else $selected = "";
echo "<option value=\"$numtariffa\"$selected>$nometariffa_imposta</option>";
} # fine if ($tariffe_mostra[$numtariffa] == "SI")
} # fine for $numtariffa
echo "</select><br>";

if ($chiedi_num_persone == "SI") {
echo "<table><tr><td height=\"1\"></td></tr></table>
<table><tr><td>$apertura_tag_font$fr_Numero_di $fr_persone";
if ($chiedi_num_app_tipologia == "SI" and $max_num_app_tipologia != 1) echo " $fr_per_ogni $fr_appartamento".":";
if ($max_num_persone == 0) echo " <input type=\"text\" name=\"numpersone$n_t\" size=\"2\" maxlength=\"2\" value=\"".${"numpersone".$n_t}."\">";
else {
echo " <select name=\"numpersone$n_t\">";
if (!${"numpersone".$n_t}) ${"numpersone".$n_t} = 2;
for ($num1 = 1 ; $num1 <= $max_num_persone ; $num1++) {
if (${"numpersone".$n_t} == $num1) $selected = " selected";
else $selected = "";
echo "<option value=\"$num1\"$selected>$num1</option>";
} # fine for $num1
echo "</select>";
} # fine else if ($max_num_persone == 0)
echo "$chiusura_tag_font<br>
</td></tr></table><table><tr><td height=\"1\"></td></tr></table>";
} # fine if ($chiedi_num_persone == "SI")

if ($chiedi_num_app_tipologia == "SI" and $max_num_app_tipologia != 1) {
echo "<table><tr><td>$apertura_tag_font$fr_Numero_di $fr_appartamenti: ";
if (!${"num_app_tipo_richiesti".$n_t}) ${"num_app_tipo_richiesti".$n_t} = 1;
if ($max_num_app_tipologia == 0) echo "<input type=\"text\" name=\"num_app_tipo_richiesti$n_t\" size=\"2\" maxlength=\"2\" value=\"".${"num_app_tipo_richiesti".$n_t}."\"></td>";
else {
echo "<select name=\"num_app_tipo_richiesti$n_t\">";
for ($num1 = 1 ; $num1 <= $max_num_app_tipologia ; $num1++) {
if (${"num_app_tipo_richiesti".$n_t} == $num1) $selected = " selected";
else $selected = "";
echo "<option value=\"$num1\"$selected>$num1</option>";
} # fine for $num1
echo "</select>$chiusura_tag_font</td>";
} # fine else if ($max_num_app_tipologia == 0)
if ($aggiungi_tipologie != "SI" or $n_t != $num_tipologie) echo "</tr></table>";
} # fine if ($chiedi_num_app_tipologia == "SI" and $max_num_app_tipologia != 1)

if ($aggiungi_tipologie == "SI" and $n_t == $num_tipologie) {
if ($chiedi_num_app_tipologia != "SI" or $max_num_app_tipologia == 1) echo "<table><tr>";
if ($max_num_tipologie > $num_tipologie) {
echo "<td width=\"30\"></td><td>$apertura_tag_font
<input class=\"sbutton\" type=\"submit\" name=\"aggiungi_nuova_tipologia\" value=\"$fr_Aggiungi_una_nuova_tipologia\">";
} # fine if ($max_num_tipologie > $num_tipologie)
if ($num_tipologie > 1) {
echo "<td width=\"30\">$chiusura_tag_font</td><td>$apertura_tag_font
<input class=\"sbutton\" type=\"submit\" name=\"elimina_ultima_tipologia\" value=\"$fr_Elimina_questa_tipologia\">";
} # fine if ($num_tipologie > 1)
echo "$chiusura_tag_font</td></tr></table>";
} # fine if ($aggiungi_tipologie == "SI" and...

if ($mostra_costi_aggiuntivi == "SI") {
echo "<table><tr><td height=\"4\"></td></tr></table><table>";
$distanza_colonne_costi_agg = 10;
$num_colonna = 0;
for ($numca = 0 ; $numca < $dati_ca[num] ; $numca++) {
$idcostoagg = $dati_ca[$numca][id];
if ($costi_agg_mostra[$idcostoagg] == "SI" and $idcostoagg != $costo_aggiungi_letti) {
if ($n_costi_agg_imposti[$idcostoagg]) $nomecosto_imposto = $n_costi_agg_imposti[$idcostoagg];
else $nomecosto_imposto = $dati_ca[$numca][nome];
$numcostoagg = "costoagg".($numca + 1);
$nome_idcostoagg = "idcostoagg".($numca + 1);
$num_colonna++;
if ($num_colonna == 1) echo "<tr>";
if (${$nome_idcostoagg."_".$n_t} == $idcostoagg and ${$numcostoagg."_".$n_t} == "SI") $checked = " checked";
else $checked = "";
echo "<td>$apertura_tag_font<input type=\"hidden\" name=\"$nome_idcostoagg"."_$n_t\" value=\"$idcostoagg\">
<input type=\"checkbox\" name=\"$numcostoagg"."_$n_t\" value=\"SI\"$checked>
 $nomecosto_imposto";
if ($dati_ca[$numca][numsett] == "c" and $dati_ca[$numca][associasett] == "n") {
$numsettimane = "numsettimane".($numca + 1);
if (${$nome_idcostoagg."_".$n_t} == $idcostoagg and ${$numsettimane."_".$n_t}) $valnumsettimane = ${$numsettimane."_".$n_t};
else $valnumsettimane = 0;
echo " $fr_per
<input type=\"text\" name=\"$numsettimane"."_$n_t\" size=\"3\" maxlength=\"3\" value=\"$valnumsettimane\">
$fr_parola_settimane ";
} # fine if ($dati_ca[$numca][numsett] == "c" and $dati_ca[$numca][associasett] == "n")
if ($dati_ca[$numca][moltiplica] == "c") {
$nummoltiplica_ca = "nummoltiplica_ca".($numca + 1);
if (${$nome_idcostoagg."_".$n_t} == $idcostoagg and ${$nummoltiplica_ca."_".$n_t}) $valnummoltiplica_ca = ${$nummoltiplica_ca."_".$n_t};
else $valnummoltiplica_ca = 1;
echo " $fr_per:
<input type=\"text\" name=\"$nummoltiplica_ca"."_$n_t\" size=\"3\" maxlength=\"3\" value=\"$valnummoltiplica_ca\">";
} # fine if ($dati_ca[$numca][moltiplica] == "c")
echo ".";
if ($num_colonna == $num_colonne_costi_agg) {
echo "$chiusura_tag_font</td></tr>";
$num_colonna = 0;
} # fine if ($num_colonna == $num_colonne_costi_agg)
else echo "$chiusura_tag_font</td><td width=\"$distanza_colonne_costi_agg\">&nbsp;</td>";
} # fine if ($costi_agg_mostra[$idcostoagg] == "SI" and $idcostoagg != $costo_aggiungi_letti)
} # fine for $numca
echo "<input type=\"hidden\" name=\"numcostiagg$n_t\" value=\"".$dati_ca[num]."\">";
if ($num_colonna != 0) {
for ($num1 = $num_colonna ; $num1 < $num_colonne_costi_agg ; $num1++) {
$num_colonna++;
if ($num_colonna == $num_colonne_costi_agg) echo "<td>&nbsp;</td></tr>";
else echo "<td>&nbsp;</td><td width=\"$distanza_colonne_costi_agg\">&nbsp;</td>";
} # fine for $num1
} # fine if ($num_colonna != 0)
echo "</table>";
} # fine if ($mostra_costi_aggiuntivi == "SI")

} # fine for $n_t

echo "<input type=\"hidden\" name=\"num_tipologie\" value=\"$num_tipologie\">
<table><tr><td height=\"1\"></td></tr></table><center>
<input class=\"sbutton\" type=\"submit\" name=\"contr_disp\" value=\"$fr_Controlla_la_disponibilita\">
</center></form>$chiusura_tag_font
</td></tr></table>";

} # fine if ($mostra_form != "NO")


?>